# $Revision: 1.72 $, $Date: 2005/09/17 10:29:16 $
Summary:	Programs for backing up and restoring filesystems
Summary(de):	Dump/Restore-Backup-System
Summary(es):	Sistema de copia de seguridad dump/restore
Summary(fr):	systme de sauvegarde dump/restore
Summary(pl):	Programy do wykonywania kopii bezpieczestwa plikw
Summary(pt_BR):	Sistema de backup dump/restore
Summary(ru):	       
Summary(tr):	dump/restore yedekleme sistemi
Summary(uk):	   Ц  צ  
Name:		dump
Version:	0.4b40
Release:	2
License:	BSD
Group:		Applications/System
Source0:	http://dl.sourceforge.net/dump/%{name}-%{version}.tar.gz
# Source0-md5:	cc8c5f0dc6ac489a495404bce656309f
Patch0:		%{name}-autoconf.patch
Patch1:		%{name}-llh.patch
URL:		http://dump.sourceforge.net/
BuildRequires:	autoconf
BuildRequires:	bzip2-devel
BuildRequires:	e2fsprogs-devel
BuildRequires:	ncurses-devel >= 5.2
BuildRequires:	openssl-devel >= 0.9.7a
BuildRequires:	readline-devel >= 4.2
Requires:	rmt
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_sbindir	/sbin

%description
The dump package contains both dump and restore. Dump examines files
in a filesystem, determines which ones need to be backed up, and
copies those files to a specified disk, tape or other storage medium.
The restore command performs the inverse function of dump; it can
restore a full backup of a filesystem. Subsequent incremental backups
can then be layered on top of the full backup. Single files and
directory subtrees may also be restored from full or partial backups.

%description -l de
Sie knnen mit dump und restore verschiedene Verfahren zum Sichern von
extended 2 (ext2)-Partitionen ausfhren.

%description -l es
Dump y restore pueden ser usados para hacer copias de seguridad en
particiones ext2 de varias maneras diferentes.

%description -l fr
dupm et restore servent  sauvegarder des partitions ext2 de plusieurs
faons possibles

%description -l pl
Pakiet dump zawiera programy dump i restore. Dump sprawdza pliki w
systemie plikowym i okrela ktre powinny by zeskadowane w kopii
bezpieczestwa a nastpnie kopiuje te pliki na dysk, tam
magnetyczn lub inny nonik. Polecenie restore wykonuje odwrotn
operacj i suy do odtwarzania plikw z kopii bezpieczestwa. Program
restore umoliwia odtwarzanie caego archiwum, a take wybranych
plikw i katalogw.

%description -l pt_BR
o dump e o restore podem ser usados para fazer backup em parties
ext2 de vrias maneiras diferentes.

%description -l ru
 dump  dump  restore. Dump   
 ,       
       ,   
.  restore    -  
      . 
       .
         
    .

%description -l tr
dump, ext2 blmlerini birka deiik ekilde yedeklemek iin
kullanlr. restore ise dump ile alnan yedekleri geri ykleyen
programdr.

%description -l uk
 dump ͦ dump  restore. Dump    צ
ͦ, Ҧդ ˦   Ц  Ц  Ц
æ    , Ҧ   Ӧ.  restore
դ  æ -   צ    
ϧ Ц. Φ Φ Φ Ц 
   Ц.   ϧ  ϧ ϧ
Ц   צΦ ͦ    Ǧ.

%package -n rmt
Summary:	Provides certain programs with access to remote tape devices
Summary(de):	Entfernter Zugriff (Netzwerk) auf Magnetbandgerte
Summary(es):	Acceso a dispositivo de cinta remoto (en red)
Summary(fr):	Accs distant (rseau)  un priphrique bande
Summary(pl):	Program do zdalnego dostpu do napdw tam magnetycznych
Summary(pt_BR):	Acesso a dispositivo de fita remoto (em rede)
Summary(ru):	      
Summary(tr):	Uzak teyp srclerine eriim arac
Summary(uk):	    צ Ҧ ϧ
Group:		Applications/System

%description -n rmt
The rmt utility provides remote access to tape devices for programs
like dump (a filesystem backup program), restore (a program for
restoring files from a backup) and tar (an archiving program).

%description -n rmt -l de
rmt stellt Remote-Access zu Bandgerten fr Programme wie Dump,
Restore und tar bereit.

%description -n rmt -l es
rmt provee acceso remoto a dispositivos de cinta para programas como
dump, restore y tar.

%description -n rmt -l fr
rmt offre un accs distant aux priphriques bandes pour des
programmes comme dump, restore et tar.

%description -n rmt -l pl
Program rmt umoliwia zdalny dostp do napdw tam magnetycznych dla
programw takich jak dump, restore czy tar.

%description -n rmt -l pt_BR
rmt prov acesso remoto a dispositivos de fita para programas como
dump, restore e tar.

%description -n rmt -l ru
 rmt      
 ,  dump, restore, tar.

%description -n rmt -l tr
rmt program, dump, restore ve tar gibi programlar iin teyp
aygtlarna uzaktan eriim salar.

%description -n rmt -l uk
̦ rmt  צ   Ҧ ϧ 
,  dump, restore, tar.

%package -n ermt
Summary:	Encrypting version of rmt
Summary(pl):	Wersja rmt z szyfrowaniem
Group:		Applications/System
Requires:	openssl >= 0.9.7a

%description -n ermt
ermt is an encrypting version of rmt.

%description -n ermt -l pl
ermt to wersja programu rmt z szyfrowaniem.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
%{__autoconf}
MYNAME=`id -ru` \
MYGRP=`id -rg`; \
%configure \
	--enable-ermt \
	--enable-rmt \
	--enable-readline \
	--with-ccopts="%{rpmcflags}" \
	--with-ldopts="%{rpmldflags}" \
	--with-binowner=$MYNAME \
	--with-bingrp=$MYGRP \
	--with-binmode=755 \
	--with-manowner=$MYNAME \
	--with-mangrp=$MYGRP \
	--with-manmode=644
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_sysconfdir},%{_sbindir},%{_mandir}/man8,/usr/sbin}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install rmt/ermt $RPM_BUILD_ROOT/usr/sbin

> $RPM_BUILD_ROOT%{_sysconfdir}/dumpdates

ln -sf %{_sbindir}/rmt $RPM_BUILD_ROOT%{_sysconfdir}/rmt

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc COPYRIGHT KNOWNBUGS README THANKS TODO CHANGES
%attr(664,root,disk) %verify(not md5 mtime size) %config(noreplace) %{_sysconfdir}/dumpdates
%attr(755,root,root) %{_sbindir}/*dump
%attr(755,root,root) %{_sbindir}/*restore
%{_mandir}/man8/*dump.8*
%{_mandir}/man8/*restore.8*

%files -n rmt
%defattr(644,root,root,755)
%attr(755,root,root) %{_sbindir}/rmt
%attr(755,root,root) %{_sysconfdir}/rmt
%{_mandir}/man8/rmt.8*

%files -n ermt
%defattr(644,root,root,755)
%attr(755,root,root) /usr/sbin/ermt

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: dump.spec,v $
Revision 1.72  2005/09/17 10:29:16  arekm
- rebuild with readline 5.0

Revision 1.71  2005/06/14 15:40:02  misi3k
- up to 0.4b40

Revision 1.70  2005/05/18 09:32:14  qboosh
- gpm-friendly Source0 URL

Revision 1.69  2005/01/21 14:34:01  areq
- 0.4b39

Revision 1.68  2005/01/09 00:03:25  qboosh
- build ermt; use absolute symlink across /

Revision 1.67  2005/01/08 22:08:47  areq
- 0.4b38

Revision 1.66  2004/12/10 03:23:57  ankry
- BR: bzip2-devel

Revision 1.65  2004/08/31 03:31:58  snurf
- typos / formatting / etc.

Revision 1.64  2004/08/21 19:12:57  misi3k
- updated to 0.4b37

Revision 1.63  2004/06/18 22:35:31  qboosh
- added llh patch, release 2

Revision 1.62  2004/05/02 08:24:55  adamg
- updated to 0.4b36

Revision 1.61  2003/12/23 23:20:46  qboosh
- killed sparc patch (it caused swapping bytes for the 2nd time since 0.4b1)
- removed obsolete change from autoconf patch

Revision 1.60  2003/12/23 07:19:25  misi3k
- updated to 0.4b35

Revision 1.59  2003/11/23 12:53:07  qboosh
- added one more fix to autoconf patch (fixes build on 64-bit archs)
- release 3

Revision 1.58  2003/11/23 04:51:20  speedy
- release 2 for ac

Revision 1.57  2003/06/13 10:26:01  misi3k
- cosmetics Source0 url

Revision 1.56  2003/05/26 16:24:55  malekith
- massive attack: adding Source-md5

Revision 1.55  2003/05/25 05:46:58  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.54  2003/05/09 21:24:53  qboosh
- updated to 0.4b34: bugfixes, LZO compression, better Linux 2.5 support

Revision 1.53  2003/05/06 11:30:20  qboosh
- use http for sources from sourceforge

Revision 1.52  2003/02/13 19:32:06  misi3k
Updated to -0.4b33

Revision 1.52  2003/02/13 20:28:30  misi3k
- updated to 0.4b33

Revision 1.51  2002/11/20 20:05:58  kloczek
- merge translations from KSI.

Revision 1.50  2002/11/18 14:03:12  qboosh
- updated to 0.4b32, updated autoconf patch and fixed to work with current ac
  (please test first!)

Revision 1.49  2002/10/10 13:20:36  marcus
- use new %%doc

Revision 1.48  2002/05/21 23:12:57  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.47  2002/04/25 16:13:55  arturs
fixed a small typo

Revision 1.46  2002/02/23 01:58:09  kloczek
- adapterized.

Revision 1.45  2002/02/22 23:28:48  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.44  2002/01/18 02:12:46  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.43  2001/11/19 02:05:50  kloczek
- updated to 0.4b25.

Revision 1.42  2001/10/11 12:36:42  qboosh
- BuildRequires: autoconf

Revision 1.41  2001/10/03 21:55:24  kloczek
- updated to 0.4b24,
- added translations stolen from CNV.

Revision 1.40  2001/08/03 04:36:02  migo
- small fix in description

Revision 1.39  2001/07/25 12:15:31  kloczek
- updated to 0.4b23 and removed obsoletes time patch.

Revision 1.38  2001/05/13 00:46:33  kloczek
- updated to 0.4b22 (updated autoconf and sparc patches).

Revision 1.37  2001/05/02 00:42:08  qboosh
- adapterized and made spec %%debug ready or using %%rpm*flags macros

Revision 1.36  2001/04/12 21:52:38  kloczek
- typo.

Revision 1.35  2001/04/12 21:06:39  kloczek
- relase 5: rebuild against readline 4.2.

Revision 1.34  2001/03/01 06:42:57  kloczek
- release 4: merge rawhide time patch with fix building dump on glibc 2.2.2.

Revision 1.33  2001/02/04 10:31:14  kloczek
- release 3: make spec %%{debug} ready.

Revision 1.32  2001/01/14 21:23:08  kloczek
- updated to 0.4b21.

Revision 1.31  2000/12/16 02:00:40  kloczek
- release 2: License changed to BSD.

Revision 1.30  2000/11/12 06:35:23  kloczek
- updated to 0.4b20,
- removed obsleted bigfile patch.

Revision 1.29  2000/10/17 01:21:56  kloczek
- release 5,
- added bigfile patch from RH (fix dumping files between 2 and 4 GB),
- use new rpm automation.

Revision 1.28  2000/08/31 03:36:14  kloczek
- another fix in %files.

Revision 1.27  2000/08/31 03:31:48  kloczek
- release 2,
- dixed %files list.

Revision 1.26  2000/08/23 10:29:45  kloczek
- updated to 0.4b19.

Revision 1.25  2000/08/21 20:51:14  kloczek
- release 2,
- security fix: removed suid/sgid root from dump/restore - with this
  permission anyone can dump for example /etc/shadow and restore with own
  permission (@#%!).

Revision 1.24  2000/07/25 05:37:51  kloczek
- updated to 0.4b18 (warning: security updated),
- added use_ncurses patch for linking restore with libncurses
  (not libtermcap).

Revision 1.23  2000/06/13 20:08:02  kloczek
- changed Source url to ftp://download.sourceforge.net/pub/sourceforge/*.

Revision 1.22  2000/06/09 07:54:40  kloczek
- more %%{__make} macros.

Revision 1.21  2000/06/09 07:22:49  kloczek
- added using %%{__make} macro.

Revision 1.20  2000/06/03 08:37:24  kloczek
- updated to 0.4b17,
- enable readline support in restore,
- added autoconf patch with simplifications autoconf suild (now DESTDIR
  style install is possible) - this patch can be extended.

Revision 1.19  2000/05/31 16:03:21  wiget
04.b16

Revision 1.18  2000/05/30 18:26:26  wiget
release++

Revision 1.17  2000/05/30 18:25:57  wiget
Buildrequires

Revision 1.16  2000/05/18 18:08:17  kloczek
- spec adapterized.

Revision 1.15  2000/04/15 17:55:37  mis
- typo

Revision 1.14  2000/04/01 15:38:33  mis
- typo

Revision 1.13  2000/04/01 11:14:25  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.12  2000/03/28 16:54:16  baggins
- translated kloczkish into english

Revision 1.11  1999/12/06 15:34:03  kloczek
- updated to 0.4b11.

Revision 1.10  1999/11/28 23:08:14  wiget
- updated to 0.4b10

Revision 1.9  1999/11/09 05:30:50  kloczek
- updated to 0.4b9 (secyrity update).

Revision 1.8  1999/10/09 00:27:37  kloczek
- updated to 0.4b7,
- updated en, pl Summary and %description.

Revision 1.7  1999/07/20 11:04:33  baggins
- fixed usage of macros
- added/removed neccesary/obsolete patches
- FHS 2.0 compliance where needed
- gzipping docs where needed

Revision 1.6  1999/07/12 23:05:55  kloczek
- added using CVS keywords in %changelog (for automating them).

* Tue Sep 15 1998 Tomasz Koczko <kloczek@rudy.mif.pg.gda.pl>
  [0.3-14]
- added %verify rules to /etc/dumdates and added noreplace %config
  paramerer,
- rdump(8) and rrestore(8) man pagea are now maked as nroff include to
  dump(8) and restore(8) instead making sym link to dump.8 and restore.8
  (this allow compress man pages in future).

* Sat Sep 12 1998 Konrad Stpie <konrad@interdata.com.pl>
- added ability to build from non-root,
- added %attr macros,
- added pl translation,
- removed link to rmt in /etc.

* Tue Jul 14 1998 Jeff Johnson <jbj@redhat.com>
- add build root.

* Tue May 05 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Thu Apr 30 1998 Cristian Gafton <gafton@redhat.com>
- added a patch for resolving linux/types.h and sys/types.h conflicts

* Wed Dec 31 1997 Erik Troan <ewt@redhat.com>
- added prototype of llseek() so dump would work on large partitions

* Thu Oct 30 1997 Donnie Barnes <djb@redhat.com>
- made all symlinks relative instead of absolute

* Thu Jul 10 1997 Erik Troan <ewt@redhat.com>
- built against glibc

* Thu Mar 06 1997 Michael K. Johnson <johnsonm@redhat.com>
- Moved rmt to its own package.

* Tue Feb 11 1997 Michael Fulbright <msf@redhat.com>
- Added endian cleanups for SPARC

* Fri Feb 07 1997 Michael K. Johnson <johnsonm@redhat.com>
- Made /etc/dumpdates writeable by group disk.
